Skip to main content
`Ctrl`+`K`

# DMPlexGetDepthLabel

Get the `DMLabel` recording the depth of each point

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetDepthLabel(DM dm, DMLabel *depthLabel)

Not Collective

## Input Parameter

- dm - The `DMPLEX` object

## Output Parameter

- depthLabel - The `DMLabel` recording point depth

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetDepth()`, `DMPlexGetHeightStratum()`, `DMPlexGetDepthStratum()`, `DMPlexGetPointDepth()`

## Level

developer

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages